[Security Announce] [ MDKSA-2006:114 ] - Updated libwmf packages fixes embedded GD vulnerability
Posted on: 06/28/2006 08:52 AM

The Mandriva Security Team published a new security update for Mandriva Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDKSA-2006:114
http://www.mandriva.com/security/
_______________________________________________________________________

Package : libwmf
Date : June 27, 2006
Affected: 10.2, 2006.0, Corporate 3.0
_______________________________________________________________________

Problem Description:

Integer overflows were reported in the GD Graphics Library (libgd)
2.0.28, and possibly other versions. These overflows allow remote
attackers to cause a denial of service and possibly execute arbitrary
code via PNG image files with large image rows values that lead to a
heap-based buffer overflow in the gdImageCreateFromPngCtx() function.
Libwmf contains an embedded copy of the GD library code. (CAN-2004-0941)

Updated packages have been patched to address this issue.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?nameƊN-2004-0941
_______________________________________________________________________

Updated Packages:

Mandriva Linux 10.2:
a4d46429327d699b7301cc6485312245 10.2/RPMS/libwmf0.2_7-0.2.8.3-3.1.102mdk.i586.rpm
1f84aa6e3e71b14a200bdfa44a91826a 10.2/RPMS/libwmf0.2_7-devel-0.2.8.3-3.1.102mdk.i586.rpm
b4a0ed12dde2994b69e1ef9a23d9e1ac 10.2/RPMS/libwmf-0.2.8.3-3.1.102mdk.i586.rpm
3ccfd5a159c7e60865f52120c7c5f1da 10.2/SRPMS/libwmf-0.2.8.3-3.1.102mdk.src.rpm

Mandriva Linux 10.2/X86_64:
782879e047c0d37b5a357d8035c83725 x86_64/10.2/RPMS/lib64wmf0.2_7-0.2.8.3-3.1.102mdk.x86_64.rpm
a95400d8892bdde022d5377c12a03b88 x86_64/10.2/RPMS/lib64wmf0.2_7-devel-0.2.8.3-3.1.102mdk.x86_64.rpm
cf0e7e9313dca9b7c60450e0c27a833d x86_64/10.2/RPMS/libwmf-0.2.8.3-3.1.102mdk.x86_64.rpm
3ccfd5a159c7e60865f52120c7c5f1da x86_64/10.2/SRPMS/libwmf-0.2.8.3-3.1.102mdk.src.rpm

Mandriva Linux 2006.0:
2a772e03ab72f8dd54992d04a96c1885 2006.0/RPMS/libwmf0.2_7-0.2.8.3-6.1.20060mdk.i586.rpm
7d50872c944402fd91989e980954ebcb 2006.0/RPMS/libwmf0.2_7-devel-0.2.8.3-6.1.20060mdk.i586.rpm
8cf37a2c7870b685a8947658f8f334c6 2006.0/RPMS/libwmf-0.2.8.3-6.1.20060mdk.i586.rpm
acc2ce388ca2ad8d216eb053bb50026e 2006.0/SRPMS/libwmf-0.2.8.3-6.1.20060mdk.src.rpm

Mandriva Linux 2006.0/X86_64:
9e2f8d5debbc0812bbf7a4500347d6d1 x86_64/2006.0/RPMS/lib64wmf0.2_7-0.2.8.3-6.1.20060mdk.x86_64.rpm
2a99ea18ab0001a0b16758c695196f8a x86_64/2006.0/RPMS/lib64wmf0.2_7-devel-0.2.8.3-6.1.20060mdk.x86_64.rpm
851f2f90fabe3fdc378acb9df945e6fa x86_64/2006.0/RPMS/libwmf-0.2.8.3-6.1.20060mdk.x86_64.rpm
acc2ce388ca2ad8d216eb053bb50026e x86_64/2006.0/SRPMS/libwmf-0.2.8.3-6.1.20060mdk.src.rpm

Corporate 3.0:
999fc5dc28a1a4a3dcd6c7b4ffc03aef corporate/3.0/RPMS/libwmf0.2_7-0.2.8-6.1.C30mdk.i586.rpm
c86a9eca5bc2e07d1bbf2bb9845d616f corporate/3.0/RPMS/libwmf0.2_7-devel-0.2.8-6.1.C30mdk.i586.rpm
0e37740131031db95662a1940ed30674 corporate/3.0/RPMS/libwmf-0.2.8-6.1.C30mdk.i586.rpm
957ff53807b795ab37d111339fdcc2cf corporate/3.0/SRPMS/libwmf-0.2.8-6.1.C30mdk.src.rpm

Corporate 3.0/X86_64:
3249f99af56947673ec1d2fcc41233aa x86_64/corporate/3.0/RPMS/lib64wmf0.2_7-0.2.8-6.1.C30mdk.x86_64.rpm
a931c5b073f2bb241eb203bbb1800ab2 x86_64/corporate/3.0/RPMS/lib64wmf0.2_7-devel-0.2.8-6.1.C30mdk.x86_64.rpm
10e051da7f7bf609037fc03e5a1fee5b x86_64/corporate/3.0/RPMS/libwmf-0.2.8-6.1.C30mdk.x86_64.rpm
957ff53807b795ab37d111339fdcc2cf x86_64/corporate/3.0/SRPMS/libwmf-0.2.8-6.1.C30mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
lt;security*mandriva.comgt;
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEoc+hmqjQ0CJFipgRAlWzAJ4xRQMppOUE8+hsyw+5DBCKjVRS7ACg0bPS
LYJwkDrl+YJAOl3C3H/bmyU=
=wNnk
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/security_announce_mdksa_2006114__updated_libwmf_packages_fixes_embedded_gd_vulnerability.html)